<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Socket.IO</title>
</head>
<body>
    <input type='text' id="text" placeholder="kirim chat...">
    <button onclick="kirim()"></button>
</body>
</html>
<script>
   import { Server } from 'socket.io';

   io.on('connection', (socket) => {
    console.log('user connected on' + socket.id)
    socket.on('disconnect', () => {
        console.log('user disconnected on' + socket.id);
    });
    
    const kirim = () => {
        console.log($("#text").val())
        socket.emit('send', $("#text").val())
    }
    console.log(io.engine.clientsCount)
})
</script>